commit 2b1ca67d59a005b896f3f82375e31f34eaa4a4cd
Author: zabran <zabran@students.zcu.cz>
Date:   Fri Apr 24 15:57:26 2020 +0200

    Issue #7945 @1.75h
    Nalezení všech stylů v návrhu a jejich vytvoření.
    Styly zatím nejsou vloženy do ostatních stránek.

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index 0ee75c7..23b9732 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -74,6 +74,57 @@ body {
         }
     }
 
+    /////////text types
+    //většina běžných textů
+    .text {
+        font-family: Avenir Roman;
+        font-size: 8pt;
+        line-height: 9pt;
+    }
+
+    //text inputu a název artefaktů
+    .text2{
+        font-family: Avenir Medium;
+        font-size: 8pt;
+    }
+
+    //název "kaplicky" a "choose a few" v categories (tam má jinou barvu)
+    .kaplicky{
+        color: $theme-color-one;
+        font-size: 11pt;
+        font-family: Avenir Black;
+        letter-spacing: 3pt;
+    }
+
+    //autor artefaktu
+    .text-author{
+        font-family: Avenir Roman;
+        font-size: 7pt;
+        color: $theme-color-four;
+    }
+
+    //počet lajků
+    .text-number{
+        font-family: Avenir Medium;
+        font-size: 5pt;
+        color: $theme-color-four;
+    }
+
+    //notes u metadat, about v about, text levého menu
+    .text-headline{
+        font-family: Avenir Medium;
+        font-size: 12pt;
+        color: $theme-color-four;
+    }
+
+    //název metadata, text pravého menu
+    .text-page{
+        font-family: Avenir Medium;
+        font-size: 7pt;
+    }
+
+
+    ////login
     .auth{
         .card{
             border: none;
@@ -89,24 +140,18 @@ body {
         .form-control{
             padding: 0px;
             height: 17pt;
+            //font-family: Avenir Medium;
+            //font-size: 8pt;
         }
     }
 
     .card-body {
     	background-color: $theme-color-five;
-    	font-family: Avenir;
+    	font-family: Avenir Roman;
     	color: $theme-color-four;
 
 	}
 
-    .kaplicky{
-        color: $theme-color-one;
-        font-size: 11pt;
-        font-family: Avenir Black;
-        //width: 100pt;
-        letter-spacing: 3pt;
-    }
-
 	.form-control {
     	background-color: $theme-color-five;
     	margin-top: -1px;
@@ -143,6 +188,7 @@ body {
         border-radius: 0;
         width: 6.5rem;
         height: 2rem;
+        font-family: Avenir Roman;
 
         &:active, &:focus, &:visited {
             outline: none;
@@ -197,7 +243,7 @@ body {
         position: relative;
 
         //Circle style button
-            //Toto možná nebude zcela optimální pro ostatní circle buttony. Nehodící se propagujte do btn-categories
+            //Toto možná nebude zcela optimální pro ostatní circle buttony. Nehodící se propagujte do btn-categories.
         .btn-circle.rounded-circle {
             padding: 6px 0px;
             font-size: 16px;
@@ -212,6 +258,7 @@ body {
             color:$theme-color-four;
             outline: none !important;
             box-shadow: none !important;
+            font-family: Avenir Medium;
 
             &:active
             {
diff --git a/resources/views/auth/login.blade.php b/resources/views/auth/login.blade.php
index a61c300..3abb0a2 100644
--- a/resources/views/auth/login.blade.php
+++ b/resources/views/auth/login.blade.php
@@ -24,7 +24,7 @@
                             <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('e-mail') }}</label>
 
                             <div class="col-md-6">
-                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
+                                <input id="email" type="email" class="form-control text2 @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
 
                                 @error('email')
                                     <span class="invalid-feedback" role="alert">
@@ -38,7 +38,7 @@
                             <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('password') }}</label>
 
                             <div class="col-md-6">
-                                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">
+                                <input id="password" type="password" class="form-control text2 @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">
 
                                 @error('password')
                                     <span class="invalid-feedback" role="alert">
diff --git a/resources/views/auth/register.blade.php b/resources/views/auth/register.blade.php
index 29fd547..4842061 100644
--- a/resources/views/auth/register.blade.php
+++ b/resources/views/auth/register.blade.php
@@ -23,7 +23,7 @@
                             <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('name') }}</label>
 
                             <div class="col-md-6">
-                                <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="name" value="{{ old('name') }}" required autocomplete="name" autofocus>
+                                <input id="name" type="text" class="form-control text2 @error('name') is-invalid @enderror" name="name" value="{{ old('name') }}" required autocomplete="name" autofocus>
 
                                 @error('name')
                                     <span class="invalid-feedback" role="alert">
@@ -37,7 +37,7 @@
                             <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('e-mail') }}</label>
 
                             <div class="col-md-6">
-                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email">
+                                <input id="email" type="email" class="form-control text2 @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email">
 
                                 @error('email')
                                     <span class="invalid-feedback" role="alert">