commit 3b397a4906fdf04a4fbb70b84a5a676f6ece8e36
Author: zabran <zabran@students.zcu.cz>
Date:   Mon Apr 20 11:22:55 2020 +0200

    Issue Task #7849 @0.5h
    Mírné detaily při nižším rozlišení a nastavení velikostí dle návrhu.

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index d4e8f90..2ee68c9 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -38,7 +38,7 @@ body {
         }
     }
 
-    .col-md-8{
+    .auth{
         .card{
             border: none;
             text-align: center;
@@ -47,6 +47,20 @@ body {
         .btn{
             font-size: 8pt;
         }
+
+        .col-form-label{
+            text-align: left;
+            padding-top: 0px;
+            padding-bottom: 0px;
+        }
+        .form-control{
+            padding: 0px;
+            height: 17pt;
+        }
+
+        .button-square {
+            width: 100pt;
+        }
     }
 
     .card-body {
@@ -60,6 +74,8 @@ body {
         color: $cusWhite;
         font-size: 11pt;
         font-family: Avenir Black;
+        width: 100pt;
+        letter-spacing: 1pt;
     }
 
 	.form-control {
diff --git a/resources/views/auth/login.blade.php b/resources/views/auth/login.blade.php
index 3fe1e02..6782b0e 100644
--- a/resources/views/auth/login.blade.php
+++ b/resources/views/auth/login.blade.php
@@ -10,6 +10,7 @@
 <div class="container">
     <div class="row justify-content-center">
         <div class="col-md-8">
+            <div class="auth">
             <div class="card">
                 {{--<div class="card-header">{{ __('Login') }}</div>--}}
 
@@ -74,6 +75,7 @@
                 </div>
             </div>
         </div>
+        </div>
     </div>
 </div>
 @endsection
diff --git a/resources/views/auth/passwords/confirm.blade.php b/resources/views/auth/passwords/confirm.blade.php
index 48087d6..6459497 100644
--- a/resources/views/auth/passwords/confirm.blade.php
+++ b/resources/views/auth/passwords/confirm.blade.php
@@ -10,6 +10,7 @@
 <div class="container">
     <div class="row justify-content-center">
         <div class="col-md-8">
+            <div class="auth">
             <div class="card">
                 {{--<div class="card-header">{{ __('Confirm Password') }}</div>--}}
 
@@ -49,6 +50,7 @@
                     </form>
                 </div>
             </div>
+            </div>
         </div>
     </div>
 </div>
diff --git a/resources/views/auth/passwords/email.blade.php b/resources/views/auth/passwords/email.blade.php
index 9c8253b..1f418bd 100644
--- a/resources/views/auth/passwords/email.blade.php
+++ b/resources/views/auth/passwords/email.blade.php
@@ -9,6 +9,7 @@
 @section('content')
 <div class="container">
     <div class="row justify-content-center">
+        <div class="auth">
         <div class="col-md-8">
             <div class="card">
                 {{--<div class="card-header">{{ __('Reset Password') }}</div>--}}
@@ -48,6 +49,7 @@
                 </div>
             </div>
         </div>
+        </div>
     </div>
 </div>
 @endsection
diff --git a/resources/views/auth/passwords/reset.blade.php b/resources/views/auth/passwords/reset.blade.php
index 4abaa32..37e9d00 100644
--- a/resources/views/auth/passwords/reset.blade.php
+++ b/resources/views/auth/passwords/reset.blade.php
@@ -10,6 +10,7 @@
 <div class="container">
     <div class="row justify-content-center">
         <div class="col-md-8">
+            <div class="auth">
             <div class="card">
                 {{--<div class="card-header">{{ __('Reset Password') }}</div>--}}
 
@@ -65,6 +66,7 @@
                     </form>
                 </div>
             </div>
+            </div>
         </div>
     </div>
 </div>
diff --git a/resources/views/auth/register.blade.php b/resources/views/auth/register.blade.php
index 90d6ae4..37f7962 100644
--- a/resources/views/auth/register.blade.php
+++ b/resources/views/auth/register.blade.php
@@ -10,6 +10,7 @@
 <div class="container">
     <div class="row justify-content-center">
         <div class="col-md-8">
+            <div class="auth">
             <div class="card">
                 {{--<div class="card-header">{{ __('Register') }}</div>--}}
 
@@ -78,6 +79,7 @@
                     </form>
                 </div>
             </div>
+            </div>
         </div>
     </div>
 </div>
diff --git a/resources/views/auth/verify.blade.php b/resources/views/auth/verify.blade.php
index 49b2237..93f5cf6 100644
--- a/resources/views/auth/verify.blade.php
+++ b/resources/views/auth/verify.blade.php
@@ -10,6 +10,7 @@
 <div class="container">
     <div class="row justify-content-center">
         <div class="col-md-8">
+            <div class="auth">
             <div class="card">
                 {{--<div class="card-header">{{ __('Verify Your Email Address') }}</div>--}}
 
@@ -28,6 +29,7 @@
                     </form>
                 </div>
             </div>
+            </div>
         </div>
     </div>
 </div>