commit 3b97c440a7ebab52bc722d0fb1c211d31d506a85
Author: zabran <zabran@students.zcu.cz>
Date:   Mon Apr 20 10:48:05 2020 +0200

    Issue Task #7849 @1.25h
    Opraven Login a Registrace, aby opovídal přesně návrhu.
    Přidány všechny fonty.
    Opraveno přesměrování na cetegories.

diff --git a/app/Http/Controllers/Auth/LoginController.php b/app/Http/Controllers/Auth/LoginController.php
index 18a0d08..f267a9c 100644
--- a/app/Http/Controllers/Auth/LoginController.php
+++ b/app/Http/Controllers/Auth/LoginController.php
@@ -26,7 +26,7 @@ class LoginController extends Controller
      *
      * @var string
      */
-    protected $redirectTo = RouteServiceProvider::HOME;
+    protected $redirectTo = RouteServiceProvider::CATEGORIES;
 
     /**
      * Create a new controller instance.
diff --git a/app/Providers/RouteServiceProvider.php b/app/Providers/RouteServiceProvider.php
index f29d8a1..b3a9b77 100644
--- a/app/Providers/RouteServiceProvider.php
+++ b/app/Providers/RouteServiceProvider.php
@@ -23,6 +23,13 @@ class RouteServiceProvider extends ServiceProvider
      */
     public const HOME = '/artefact';
 
+    /**
+     * The path to categories.
+     *
+     * @var string
+     */
+    public const CATEGORIES = '/categories';
+
     /**
      * Define your route model bindings, pattern filters, etc.
      *
diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index 51a71f6..d4e8f90 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -37,54 +37,59 @@ body {
             }
         }
     }
-    
+
+    .col-md-8{
+        .card{
+            border: none;
+            text-align: center;
+            font-size: 8pt;
+        }
+        .btn{
+            font-size: 8pt;
+        }
+    }
+
     .card-body {
     	background-color: $cusBlack;
     	font-family: Avenir;
     	color: $cusBrown3;
-	}
-
-	.btn-primary {
-    	background-color: $cusBlack;
-    	border-color: $cusWhite;
-	}
-
-	.btn-primary:hover {
-    	background-color: $cusWhite;
-    	color: $cusBlack;
-    	border-color: $cusWhite;
-	}
 
-	.btn-primary:focus {
-    	background-color: $cusWhite;
-    	color: $cusBlack;
-    	border-color: $cusWhite;
-    	outline: none !important;
-    	box-shadow: none !important;
 	}
 
-	.btn-primary:active {
-    	background-color: $cusWhite;
-    	color: $cusBlack;
-    	border-color: $cusWhite;
-    	outline: none !important;
-    	box-shadow: none !important;
-    	background-color: transparent !important;
-    	border-color: transparent !important;
-	}
+    .logo{
+        color: $cusWhite;
+        font-size: 11pt;
+        font-family: Avenir Black;
+    }
 
 	.form-control {
     	background-color: $cusBlack;
     	margin-top: -1px;
-    	//border: 0px;
     	//border-bottom: 1px;
     	border-top-color: $cusBlack;
     	border-left-color: $cusBlack;
     	border-right-color: $cusBlack;
-    	border-bottom-color: $cusWhite;
+    	border-bottom-color: 0.5pt $cusWhite;
     	color: $cusWhite;
+        box-shadow: none;
+        //transition: none;
+        font-size: 8pt;
 	}
 
+    .form-control:focus {
+        background-color: $cusBlack;
+        margin-top: -1px;
+        //border-bottom: 1px;
+        border-top-color: $cusBlack;
+        border-left-color: $cusBlack;
+        border-right-color: $cusBlack;
+        border-bottom-color: 0.5pt $cusWhite;
+        color: $cusWhite;
+        box-shadow: none;
+        //transition: none;
+        font-size: 8pt;
+    }
+
     .button-square {
         background-color: $black;
         color: $white;
diff --git a/resources/sass/app.scss b/resources/sass/app.scss
index 3575c01..5daed3c 100644
--- a/resources/sass/app.scss
+++ b/resources/sass/app.scss
@@ -1,5 +1,8 @@
 // Fonts
 @import url('https://fonts.googleapis.com/css?family=Nunito');
+@import url('https://db.onlinewebfonts.com/c/2090551770be22b09600a40b0b4673b7?family=Avenir+Medium');
+@import url('https://db.onlinewebfonts.com/c/275de2221d9f0c4c9257d17f5a1e4006?family=Avenir+Black');
+@import url('https://db.onlinewebfonts.com/c/1a045963159927274c92b0444fb83c17?family=Avenir');
 
 // Variables
 @import 'variables';
diff --git a/resources/views/auth/login.blade.php b/resources/views/auth/login.blade.php
index 0325fe5..3fe1e02 100644
--- a/resources/views/auth/login.blade.php
+++ b/resources/views/auth/login.blade.php
@@ -17,8 +17,10 @@
                     <form method="POST" action="{{ route('login') }}">
                         @csrf
 
+                        <label for="logo" class="col-md-4 logo">{{ __('kaplicky') }}</label>
+
                         <div class="form-group row">
-                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>
+                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('e-mail') }}</label>
 
                             <div class="col-md-6">
                                 <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
@@ -32,7 +34,7 @@
                         </div>
 
                         <div class="form-group row">
-                            <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('Password') }}</label>
+                            <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('password') }}</label>
 
                             <div class="col-md-6">
                                 <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">
@@ -45,7 +47,7 @@
                             </div>
                         </div>
 
-                        <div class="form-group row">
+                        {{--<div class="form-group row">
                             <div class="col-md-6 offset-md-4">
                                 <div class="form-check">
                                     <input class="form-check-input" type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>
@@ -55,21 +57,19 @@
                                     </label>
                                 </div>
                             </div>
-                        </div>
+                        </div>--}}
 
-                        <div class="form-group row mb-0">
-                            <div class="col-md-8 offset-md-4">
-                                <button type="submit" class="btn btn-primary btn-black">
-                                    {{ __('Login') }}
+                            <div class="col-md-12">
+                                <button type="submit" class="btn button-square ">
+                                    {{ __('join') }}
                                 </button>
 
-                                @if (Route::has('password.request'))
+                                {{-- @if (Route::has('password.request'))
                                     <a class="btn btn-link" href="{{ route('password.request') }}">
                                         {{ __('Forgot Your Password?') }}
                                     </a>
-                                @endif
+                                @endif --}}
                             </div>
-                        </div>
                     </form>
                 </div>
             </div>
diff --git a/resources/views/auth/passwords/confirm.blade.php b/resources/views/auth/passwords/confirm.blade.php
index 31b49b3..48087d6 100644
--- a/resources/views/auth/passwords/confirm.blade.php
+++ b/resources/views/auth/passwords/confirm.blade.php
@@ -35,7 +35,7 @@
 
                         <div class="form-group row mb-0">
                             <div class="col-md-8 offset-md-4">
-                                <button type="submit" class="btn btn-primary">
+                                <button type="submit" class="btn button-square">
                                     {{ __('Confirm Password') }}
                                 </button>
 
diff --git a/resources/views/auth/passwords/email.blade.php b/resources/views/auth/passwords/email.blade.php
index 33a4cf7..9c8253b 100644
--- a/resources/views/auth/passwords/email.blade.php
+++ b/resources/views/auth/passwords/email.blade.php
@@ -39,7 +39,7 @@
 
                         <div class="form-group row mb-0">
                             <div class="col-md-6 offset-md-4">
-                                <button type="submit" class="btn btn-primary">
+                                <button type="submit" class="btn button-square">
                                     {{ __('Send Password Reset Link') }}
                                 </button>
                             </div>
diff --git a/resources/views/auth/passwords/reset.blade.php b/resources/views/auth/passwords/reset.blade.php
index 800f9d9..4abaa32 100644
--- a/resources/views/auth/passwords/reset.blade.php
+++ b/resources/views/auth/passwords/reset.blade.php
@@ -57,7 +57,7 @@
 
                         <div class="form-group row mb-0">
                             <div class="col-md-6 offset-md-4">
-                                <button type="submit" class="btn btn-primary">
+                                <button type="submit" class="btn button-square">
                                     {{ __('Reset Password') }}
                                 </button>
                             </div>
diff --git a/resources/views/auth/register.blade.php b/resources/views/auth/register.blade.php
index 956beeb..90d6ae4 100644
--- a/resources/views/auth/register.blade.php
+++ b/resources/views/auth/register.blade.php
@@ -17,6 +17,7 @@
                     <form method="POST" action="{{ route('register') }}">
                         @csrf
 
+                        <label for="logo" class="col-md-4 logo">{{ __('kaplicky') }}</label>
                         <div class="form-group row">
                             <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Name') }}</label>
 
@@ -67,13 +68,13 @@
                             </div>
                         </div>
 
-                        <div class="form-group row mb-0">
-                            <div class="col-md-6 offset-md-4">
-                                <button type="submit" class="btn btn-primary">
+
+                            <div class="col-md-12">
+                                <button type="submit" class="btn button-square">
                                     {{ __('Register') }}
                                 </button>
                             </div>
-                        </div>
+
                     </form>
                 </div>
             </div>
diff --git a/resources/views/auth/verify.blade.php b/resources/views/auth/verify.blade.php
index 68f4e14..49b2237 100644
--- a/resources/views/auth/verify.blade.php
+++ b/resources/views/auth/verify.blade.php
@@ -24,7 +24,7 @@
                     {{ __('If you did not receive the email') }},
                     <form class="d-inline" method="POST" action="{{ route('verification.resend') }}">
                         @csrf
-                        <button type="submit" class="btn btn-link p-0 m-0 align-baseline">{{ __('click here to request another') }}</button>.
+                        <button type="submit" class="btn button-square">{{ __('click here to request another') }}</button>.
                     </form>
                 </div>
             </div>