commit 54610fab0d1e07142f2aca95653153c534efd0d8
Author: zabran <zabran@students.zcu.cz>
Date:   Thu May 14 18:58:07 2020 +0200

    Issue #8048 @1h
    [-] Odstraněn stín z top-baru. Minimálně na Chromu a Mozile jsem ho nenašel.
    [/] "Česky" a "Logout" přesunuto do spodní části. Ošetřeno pro malou výšku.
    [/] Separator zkrácen na polovinu.

diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index 75de81a..4c23b24 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -705,6 +705,9 @@ body {
     width: 100%;
     top: 0;
     z-index: 2;
+    .shadow {
+        box-shadow: none;
+    }
 }
 
 .arrow-left {
@@ -724,7 +727,17 @@ body {
 }
 
 .separator {
-    border-bottom: 1px solid $theme-color-five;
+    position: relative;
+    z-index : 5;
+    &:before{
+        width: 50%;
+        content : "";
+        position: absolute;
+        left    : 0;
+        bottom  : 0;
+        height  : 1px;
+        border-bottom:1px solid $theme-color-five;
+    }
 }
 
 .sidenav {
@@ -757,7 +770,22 @@ body {
     }
 }
 
-.dropdown-item.active, .dropdown-item:active {
+.down {
+    position: absolute;
+    z-index: 5;
+    bottom: 0;
+    left: 0;
+    width: 100%;
+    margin-bottom: 3rem;
+}
+
+.menu-item{
+    padding: 0.25rem 1.5rem;
+    width: 100%;
+    border: 0;
+}
+
+.menu-item.active, .menu-item:active {
     color: $theme-color-five;
     background-color: $theme-color-one;
 }
@@ -791,6 +819,10 @@ body {
     .sidenav a {
         font-size: 18px;
     }
+    .down {
+        bottom: unset;
+        margin-bottom: unset;
+    }
 }
 
 @media (max-width: 990px) {
diff --git a/resources/views/inc/sidebar.blade.php b/resources/views/inc/sidebar.blade.php
index f4a7646..45d4c48 100644
--- a/resources/views/inc/sidebar.blade.php
+++ b/resources/views/inc/sidebar.blade.php
@@ -6,54 +6,55 @@
     <li class="nav-item"> &#160;</li>
     @guest
         <li class="nav-item">
-            <a class="dropdown-item text-headline" href="{{ url('/') }}">
+            <a class="menu-item text-headline" href="{{ url('/') }}">
                 {{ __('general.home') }}
             </a>
-            <a class="dropdown-item text-headline" href="{{ route('login') }}">
+            <a class="menu-item text-headline" href="{{ route('login') }}">
                 {{ __('general.login') }}
             </a>
         </li>
         @if (Route::has('register'))
             <li class="nav-item">
-                <a class="dropdown-item text-headline" href="{{ route('register') }}">
+                <a class="menu-item text-headline" href="{{ route('register') }}">
                     {{ __('general.register') }}
                 </a>
             </li>
         @endif
     @else
-        <li class="nav-item dropdown">
-            <a class="dropdown-item text-headline" href="{{ url('/') }}">
+        <li class="nav-item separator">
+            <a class="menu-item text-headline" href="{{ url('/') }}">
                 {{ __('general.home') }}
             </a>
 
-            <a class="dropdown-item text-headline" href="{{ url('/categories') }}">
+            <a class="menu-item text-headline" href="{{ url('/categories') }}">
                 {{ __('general.topics') }}
             </a>
 
-            <a class="dropdown-item text-headline" href="{{ url('/artefact') }}">
+            <a class="menu-item text-headline" href="{{ url('/artefact') }}">
                 {{ __('general.artefacts') }}
             </a>
 
-            <a class="dropdown-item text-headline" href="{{ url('/favartefacts') }}">
+            <a class="menu-item text-headline" href="{{ url('/favartefacts') }}">
                 {{ __('general.favourite_artefacts') }}
             </a>
 
-            <a class="dropdown-item text-headline" href="{{ url('/favmetadata') }}">
+            <a class="menu-item text-headline" href="{{ url('/favmetadata') }}">
                 {{ __('general.favourite_metadata') }}
             </a>
 
-            <a class="dropdown-item text-headline" href="{{ url('/charts') }}">
+            <a class="menu-item text-headline" href="{{ url('/charts') }}">
                 {{ __('general.charts') }}
             </a>
 
         </li>
-        <li class="nav-item dropdown separator">
-            <a class="dropdown-item text-headline" href="{{ url('/czech') }}">
+        <li class="nav-item">
+
+        </li>
+        <li class="nav-item down">
+            <a class="menu-item text-headline" href="{{ url('/czech') }}">
                 {{ __('general.cs') }}
             </a>
-        </li>
-        <li class="nav-item dropdown">
-            <a class="dropdown-item text-headline" href="{{ route('logout') }}" onclick="
+            <a class="menu-item text-headline" href="{{ route('logout') }}" onclick="
             event.preventDefault();
             document.getElementById('logout-form').submit();">
                 {{ __('logout') }}
@@ -67,7 +68,7 @@
 
 </div>
 
-<nav class="navbar navbar-expand-md navbar-light black shadow-sm top-bar">
+<nav class="navbar navbar-expand-md navbar-light top-bar">
     <span class="arrow arrow-right" onclick="openNav()"></span>
     @if(!Request::is('login')&&!Request::is('register'))
         <a for="logo" class="logo-kaplicky kaplicky" href="{{ url('/') }}">